Package wx :: Package lib :: Package agw :: Module labelbook :: Class ImageInfo

[frames | no frames]

## Class ImageInfo

This class holds all the information (caption, image, etc...) belonging to a single tab in `ImageNotebook`.

Method Summary
| ``__init__`(self, strCaption, imageIndex)` Default Class Constructor.
| ``GetCaption`(self)` Returns the tab caption.
| ``GetImageIndex`(self)` Returns the tab image index.
| ``GetPosition`(self)` Returns the tab position.
| ``GetSize`(self)` Returns the tab size.
| ``GetTextRect`(self)` Returns the rect available for the tab text.
| ``SetCaption`(self, value)` Sets the tab caption.
| ``SetImageIndex`(self, value)` Sets the tab image index.
| ``SetPosition`(self, value)` Sets the tab position.
| ``SetSize`(self, value)` Sets the tab size.
| ``SetTextRect`(self, rect)` Sets the rect available for the tab text.

Method Details

### __init__(self, strCaption='', imageIndex=-1)
(Constructor)

Default Class Constructor.

Parameters:

  Parameters:
    `strCaption` - the tab caption;

    `imageIndex` - the tab image index based on the assigned (set) wx.ImageList (if any).

### GetCaption(self)

Returns the tab caption.

### GetImageIndex(self)

Returns the tab image index.

### GetPosition(self)

Returns the tab position.

### GetSize(self)

Returns the tab size.

### GetTextRect(self)

Returns the rect available for the tab text.

### SetCaption(self, value)

Sets the tab caption.

### SetImageIndex(self, value)

Sets the tab image index.

### SetPosition(self, value)

Sets the tab position.

### SetSize(self, value)

Sets the tab size.

### SetTextRect(self, rect)

Sets the rect available for the tab text.

Generated by Epydoc 2.1.20050511.rpd on Mon Feb 16 12:53:19 2009 | http://epydoc.sf.net